| optoMDC

Loading...
Searching...
No Matches
optoMDC.registers.mre3_registers.OpticalFeedback Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.OpticalFeedback:

## Public Member Functions
| __init__ (self, board=None)
| GetOpticalFeedbackA (self)
| GetOpticalFeedbackB (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x23
dict | of_a
dict | of_b
| name = self.__class__.__name__

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

    Device Functionality - Optical Feedback

    The optical feedback system provides information about the actual position of the mirror in optical feedback units.

    System ID: 0x23

    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name | Id   | Type        | Unit | Range | Default | Comment                                          |
    +===============+======+=============+======+=======+=========+==================================================+
    | of_a          | 0x00 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | of_b          | 0x01 |float 32-bit |None  |       |         |                                                  |
    +---------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.OpticalFeedback.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetOpticalFeedbackA()

optoMDC.registers.mre3_registers.OpticalFeedback.GetOpticalFeedbackA | ( |  | self | ) |

## ◆ GetOpticalFeedbackB()

optoMDC.registers.mre3_registers.OpticalFeedback.GetOpticalFeedbackB | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.OpticalFeedback.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _is_a_system

bool optoMDC.registers.mre3_registers.OpticalFeedback._is_a_system = True
| static protected

## ◆ name

optoMDC.registers.mre3_registers.OpticalFeedback.name = self.__class__.__name__

## ◆ of_a

dict optoMDC.registers.mre3_registers.OpticalFeedback.of_a

Initial value:
= {'id': self.sys_id << 8 | 0x00, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ of_b

dict optoMDC.registers.mre3_registers.OpticalFeedback.of_b

Initial value:
= {'id': self.sys_id << 8 | 0x01, 'type': float, 'unit': None, 'range': None, 'default': None,
'value': None}

## ◆ sys_id

int optoMDC.registers.mre3_registers.OpticalFeedback.sys_id = 0x23

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py